QGIS Application - Bug report #22033
DB Manger imports the wrong data
2019-05-09 01:45 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29847
Description

Create a project

add a shapefile, suppose is named "layer1"

open db manager

select "import layer/file", the input layer shown by default will be "layer1"

click on the "..." button to go pick another shapefile (i.e. "layer2") from the file system

import it (after eventually having changed its name and import parameters)

actually the layer that will be imported is "layer1"

Related issues:
Related to QGIS Application - Bug report # 21544: DB Manager cannot import an... Feedback

2019-03-10

Associated revisions

Revision 3df7f897 - 2019-05-23 10:58 AM - Alessandro Pasotti

db-manager: Update input layer and table names

when selecting an external file

Fixes #22033 - wrong shapefile import

Revision 386262e3 - 2019-05-23 10:58 AM - Alessandro Pasotti

db-manager: Update input layer and table names

when selecting an external file

Fixes #22033 - wrong shapefile import

Revision f6844e03 - 2019-05-23 11:34 PM - Alessandro Pasotti

db-manager: Update input layer and table names

2025-04-27
when selecting an external file

Fixes #22033 - wrong shapefile import

History

#1 - 2019-05-23 10:01 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2019-05-23 11:00 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/10077

#3 - 2019-05-23 12:04 PM - Alessandro Pasotti
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|3df7f{897f6e2e128ef59c50fe27b077edbe613da.

#4 - 2019-05-23 02:55 PM - Alexander Bruy

- Related to Bug report #21544: DB Manager cannot import anymore from GeoJSON into a Spatialite table added

2025-04-27
https://github.com/qgis/QGIS/pull/10077

